Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045642
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2020-12-23 07:022020-12-28 08:00
ReporterrafarodaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityhighResolutionfixedFixed in VersionRR21Q1
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression levelProduction - Confirmed Stable
Regression date2020-02-20
Regression introduced in releaseRR20Q3
Regression introduced by commithttps://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/5b38c630a4ac0542bd375c1dfe78c87af39f8724 [^]
Triggers an Emergency PackNo
Summary

0045642: Deactivation of tax rates does not have effect in web POS

DescriptionDeactivation of tax rates does not have effect in web POS

When I deactivate a Tax Rate in WebPOS (Active = N) there is no effect in WebPOS, the tax rate remains there in local database, even after Menu > Refresh Data or Incrmental Refresh
Steps To ReproduceIn 20Q3

1) Identify a Tax Rate that Applies in WebPOS

2) In Backoffice, deactivate the Tax Rate

3) In Web POS Menu > Refresh Data

The Tax Rate is still present in WebPOS when it should not
Proposed SolutionThe Tax Rate should be removed from WebPOS
TagsNOR
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0045643 newranjith_qualiantech_com Tax exempt usage is not applying in Tax Engine 
depends on backport 0045651RR20Q4.1 resolvedranjith_qualiantech_com Deactivation of tax rates does not have effect in web POS 
depends on backport 0045652RR20Q3.3 resolvedranjith_qualiantech_com Deactivation of tax rates does not have effect in web POS 

-  Notes
(0125067)
hgbot (developer)
2020-12-24 07:15

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/232 [^]
(0125096)
hgbot (developer)
2020-12-28 07:58

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/232 [^]
(0125097)
hgbot (developer)
2020-12-28 07:58

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: 3ba7cc6d9619efeb529af268091a827885f5bcc7
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2020-12-23T13:20:24+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/3ba7cc6d9619efeb529af268091a827885f5bcc7 [^]

Fixed ISSUE-45642: Added active property to TaxRate and TaxZone Masterdata

---
M src/org/openbravo/retail/posterminal/master/TaxRateProperties.java
M src/org/openbravo/retail/posterminal/master/TaxZoneProperties.java
---

- Issue History
Date Modified Username Field Change
2020-12-23 07:02 rafaroda New Issue
2020-12-23 07:02 rafaroda Assigned To => Retail
2020-12-23 07:02 rafaroda Triggers an Emergency Pack => No
2020-12-23 07:02 rafaroda Tag Attached: NOR
2020-12-23 07:11 rafaroda Relationship added related to 0045643
2020-12-23 07:58 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2020-12-23 08:50 ranjith_qualiantech_com Status new => scheduled
2020-12-24 07:15 hgbot Note Added: 0125067
2020-12-28 07:56 marvintm Status scheduled => acknowledged
2020-12-28 07:57 marvintm Status acknowledged => scheduled
2020-12-28 07:58 hgbot Resolution open => fixed
2020-12-28 07:58 hgbot Status scheduled => closed
2020-12-28 07:58 hgbot Note Added: 0125096
2020-12-28 07:58 hgbot Fixed in Version => RR21Q1
2020-12-28 07:58 hgbot Note Added: 0125097
2020-12-28 08:00 marvintm Regression level => Production - Confirmed Stable
2020-12-28 08:00 marvintm Regression date => 2020-02-20
2020-12-28 08:00 marvintm Regression introduced in release => RR20Q3
2020-12-28 08:00 marvintm Regression introduced by commit => https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/5b38c630a4ac0542bd375c1dfe78c87af39f8724 [^]


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker